/**
 * Copyright 2014-2019 XebiaLabs Inc. and its affiliates. Use is subject to terms of the enclosed Legal Notice.
 */

package com.xebialabs.deployit.plugin.stitch.service.engine.processor.handler.groovy;

/**
 * A map function that can be used as an argument in {@link Document} map method to
 * manipulate a Document in a script (e.g. groovy script)
 */
public interface MapFunction {

  /**
   * Map current value and return modified value.
   *
   * @param currentValue initial value
   * @return mapped value
   */
  Object map(Object currentValue);
}
